Subject: Re: standalone cygwin programs that use "/tmp" don't work
From: "John R. McPherson" <[email-masked]>
To: Christopher Faylor <[email-masked]>
Cc: Corinna Vinschen <[email-masked]>, [email-masked]
Date: Sat, 17 Aug 2002 19:44:10 +1200

On Fri, Aug 16, 2002 at 11:55:35PM -0400, Christopher Faylor wrote:
> On Tue, Aug 13, 2002 at 12:48:02PM +0200, Corinna Vinschen wrote:
> >On Tue, Aug 13, 2002 at 04:28:43PM +1200, John R. McPherson wrote:
> >> Our windows distribution includes these binaries as well as cygwin1.dll.
> >
> >Do you distribute also the source code of the Cygwin version you're
> >using according to the Cygwin license?
> 
> I haven't seen an answer to this question and it isn't clear from your
> web site where one would get the source files for the GPLed executables
> you have in your distribution.

I replied to this to Corinna, but as I got an error message from the
list server I had no idea who got it or not.
So I've forwarded the bounced message - see below.

> If you are distributing GPLed binaries like the cygwin DLL, tar, wget,
> etc.  you need to also make the source code available.  It doesn't
> matter that the source code is available elsewhere on the web.

We have the source code to wget, pdftohtml, etc available for download
as part of the "source code" download link that is on the website
I referenced. Some of these packages have been very slightly modified (mostly
Makefiles). As I said, our project is all GPL and GPL-compatible
code.

We use the cygwin dll as downloaded from a cygwin mirror. So you want
us to mirror the whole cygwin source code as well, in New Zealand,
where we have to pay data charges for international traffic in both
directions? The GPL says that if someone we give binaries
to asks us for the source code, we are obliged to do so. I don't
see how we're not complying...

John McPherson

----- forwarded message -----

Date: 13 Aug 2002 11:15:41 -0000
From: [email-masked]
To: [email-masked]
Subject: failure notice
Message-Id: <[email-masked]>

Hi. This is the qmail-send program at sources.redhat.com.
I'm afraid I wasn't able to deliver your message to the following addresses.
This is a permanent error; I've given up. Sorry it didn't work out.

<[email-masked]>:
Mail rejected: List address must be in To: or Cc: headers.
Contact [email-masked] if you have questions about this. (#5.7.2)

--- Below this line is a copy of the message.

Date: Tue, 13 Aug 2002 23:15:33 +1200
From: "John R. McPherson" <[email-masked]>
To: Corinna Vinschen <[email-masked]>
Subject: Re: standalone cygwin programs that use "/tmp" don't work
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]>

On Tue, Aug 13, 2002 at 12:48:02PM +0200, Corinna Vinschen wrote:
> On Tue, Aug 13, 2002 at 04:28:43PM +1200, John R. McPherson wrote:
> > Our windows distribution includes these binaries as well as cygwin1.dll.
> 
> Do you distribute also the source code of the Cygwin version you're
> using according to the Cygwin license?

Our software is all GPL or compatible. We use an unmodified version
of cygwin, so the source code of the library we distribute is already
publicly available. We have sources for the 3rd-party packages mirrored
for download as well.

> > Other than forcing users to create a "X:\\tmp" directory (or doing this
> > during installation) or modifying the source code for these 3rd-party
> > packages, is there any way to get the dll to use windows's %TEMP%
> > or %TMPDIR% environment variables?
> 
> No.  These functions are implemented according to POSIX standards.
> If you need other paths you'll have to change the sources.

OK, thanks for that. Is there any other way to set the root directory
for use by cygwin1.dll (eg CYGWIN environment variable) other than
the windows registry entries used by a proper cygwin install?

John McPherson

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/